package cn.com.ctop.common.module.utils;

import java.math.BigDecimal;

public class BigDecimalUtil {
    private BigDecimalUtil() {

    }

    /**
     * 相减
     *
     * @param v1
     * @param v2
     * @return
     */
    public static BigDecimal subtractBigDecimal(BigDecimal v1, BigDecimal v2) {
        return v1.subtract(v2);
    }


    /**
     * 相乘
     *
     * @param v1
     * @param v2
     * @return
     */
    public static BigDecimal multiplyBigDecimal(BigDecimal v1, BigDecimal v2) {
        return v1.multiply(v2);
    }


    /**
     * 相除
     *
     * @param v1
     * @param v2
     * @return
     */
    public static BigDecimal divideBigDecimal(BigDecimal v1, BigDecimal v2) {
        return v1.divide(v2);
    }

    /**
     * 绝对值
     *
     * @param v
     * @return
     */
    public static BigDecimal absBigDecimal(BigDecimal v) {
        return v.abs();
    }

    /**
     * 比较大小
     *
     * @param v1
     * @param v2
     * @return
     * -1 小于 0 等于 1 大于
     */
    public static int compareToDecimal(BigDecimal v1, BigDecimal v2) {
        return v1.compareTo(v2);
    }

}
